Commit e0ebe0cf authored by Mathis Rosenhauer's avatar Mathis Rosenhauer
Browse files

Error check remote file download for tests

parent 7bdee465
...@@ -15,5 +15,4 @@ configure ...@@ -15,5 +15,4 @@ configure
libtool libtool
autom4te.cache autom4te.cache
.DS_Store .DS_Store
data
build* build*
#!/bin/sh #!/bin/sh
set -e set -e
AEC=../src/aec AEC=../src/aec
test_data=https://gitlab.dkrz.de/k202009/libaec/raw/master/data/typical.rz
if [ ! -f typical.dat ]; then if [ ! -f typical.dat ]; then
rm -f typical.rz rm -f typical.rz
wget https://www.dkrz.de/redmine/attachments/download/442/typical.rz type wget >/dev/null 2>&1 || {
echo >&2 "wget not found. Please download $test_data by other means and place it in tests. Aborting."
exit 1
}
wget $test_data || {
echo >&2 "Could not download $test_data. Please download it by other means and place it in tests. Aborting."
exit 1
}
$AEC -d -n16 -j64 -r256 -m typical.rz typical.dat $AEC -d -n16 -j64 -r256 -m typical.rz typical.dat
rm -f bench.dat rm -f bench.dat
fi fi
......
...@@ -6,9 +6,16 @@ ALLO=${CCSDS_DATA}/AllOptions ...@@ -6,9 +6,16 @@ ALLO=${CCSDS_DATA}/AllOptions
EXTP=${CCSDS_DATA}/ExtendedParameters EXTP=${CCSDS_DATA}/ExtendedParameters
LOWE=${CCSDS_DATA}/LowEntropyOptions LOWE=${CCSDS_DATA}/LowEntropyOptions
archive=121B2TestData.zip archive=121B2TestData.zip
archive_url=http://cwe.ccsds.org/sls/docs/SLS-DC/BB121B2TestData/$archive
if [ ! -f $archive ]; then if [ ! -f $archive ]; then
wget http://cwe.ccsds.org/sls/docs/SLS-DC/BB121B2TestData/$archive type wget >/dev/null 2>&1 || {
echo >&2 "wget not found. Please download $archive_url by other means and place it in tests. Aborting."
exit 1
}
wget $archive_url || {
echo >&2 "Could not download $archive_url. Please download $archive by other means and place it in tests. Aborting."
exit 1
}
fi fi
unzip -oq $archive unzip -oq $archive
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment